version: '3.4'

services:
  mongo:
    image: 'mongo:latest'
    networks: 
      - catalog
    ports:
      - 27017:27017
    container_name: mongo
    volumes: 
      - oc-catalog-data:/data/db
      - oc-catalog-data:/data/configdb
  
  mongo-express:
    image: "mongo-express:latest"
    restart: always
    depends_on: 
      - mongo
    networks: 
      - catalog
    ports:
      - 8081:8081
    environment:
      - ME_CONFIG_BASICAUTH_USERNAME=test
      - ME_CONFIG_BASICAUTH_PASSWORD=test

volumes:
  oc-catalog-data:

networks: 
  catalog:
    external: true
    # name: catalog
